Dela via


Rooms - Remove Participants

Ta bort deltagare från ett rum.

POST {endpoint}/rooms/{roomId}/participants:remove?api-version=2022-02-01

URI-parametrar

Name I Obligatorisk Typ Description
endpoint
path True

string (uri)

Slutpunkten för Azure Communication-resursen.

roomId
path True

string

Rums-ID för att ta bort deltagarna från.

api-version
query True

string

Version av API som ska anropas.

Begärandehuvud

Name Obligatorisk Typ Description
Authorization True

string

En ACS-användaråtkomsttoken (Azure Communication Services).

Begärandetext

Name Obligatorisk Typ Description
participants True

RoomParticipant[]

Deltagare som ska tas bort från ett rum.

Svar

Name Typ Description
200 OK

ParticipantsCollection

Deltagarna har tagits bort. Åtgärden returnerar en uppdaterad lista över deltagare.

Other Status Codes

CommunicationErrorResponse

Felsvar

Sidhuvuden

x-ms-error-code: string

Säkerhet

Authorization

En ACS-användaråtkomsttoken (Azure Communication Services).

Typ: apiKey
I: header

Exempel

Remove participant

Exempelbegäran

POST https://contoso.communication.azure.com//rooms/99199690362660524/participants:remove?api-version=2022-02-01

{
  "participants": [
    {
      "communicationIdentifier": {
        "rawId": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666",
        "communicationUser": {
          "id": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666"
        }
      },
      "role": "Presenter"
    }
  ]
}

Exempelsvar

{
  "participants": [
    {
      "communicationIdentifier": {
        "rawId": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777",
        "communicationUser": {
          "id": "8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777"
        }
      },
      "role": "Attendee"
    }
  ]
}

Definitioner

Name Description
CommunicationIdentifierModel

Identifierar en deltagare i Azure Communication Services. En deltagare är till exempel en Azure-kommunikationsanvändare. Den här modellen måste tolkas som en union: Förutom rawId kan högst en ytterligare egenskap anges.

ParticipantsCollection

Samling deltagare i ett rum.

RemoveParticipantsRequest

Deltagare som ska tas bort från ett rum.

RoleType

Rollen för en rumsdeltagare.

RoomParticipant

En deltagare i rummet.

CommunicationIdentifierModel

Identifierar en deltagare i Azure Communication Services. En deltagare är till exempel en Azure-kommunikationsanvändare. Den här modellen måste tolkas som en union: Förutom rawId kan högst en ytterligare egenskap anges.

Name Typ Description
communicationUser

CommunicationUserIdentifierModel

rawId

string

Raw-ID för identifieraren. Valfritt i begäranden som krävs i svar.

ParticipantsCollection

Samling deltagare i ett rum.

Name Typ Description
participants

RoomParticipant[]

Rumsdeltagare.

RemoveParticipantsRequest

Deltagare som ska tas bort från ett rum.

Name Typ Description
participants

RoomParticipant[]

Deltagare som ska tas bort från ett rum.

RoleType

Rollen för en rumsdeltagare.

Värde Description
Presenter
Attendee
Consumer

RoomParticipant

En deltagare i rummet.

Name Typ Description
communicationIdentifier

CommunicationIdentifierModel

Identifierar en deltagare i Azure Communication Services. En deltagare är till exempel en Azure-kommunikationsanvändare. Den här modellen måste tolkas som en union: Förutom rawId kan högst en ytterligare egenskap anges.

role

RoleType

Rollen för en rumsdeltagare.